//------------------------------------
// "ghost in the machine"
// 128 bytes intro
// by wacek/arise
//------------------------------------

.var dot = $0f0e

			* = $0f00
			
			.import binary "assets\ariselogo_15bytes.map",0,18
			
			lda counter1: #$ee
			sta $d001	

			lda #$20
			sta $d401
			sta $d000
			sta $d020
			sta $d021
			
			lda #$3f
			sta $d406
			
			lda #$81
			sta $d404
			sta counter2: $d01d

			lda #$3c
			sta $0286
			sta $07f8

			jsr $e544
			lda #%00011000	
			sta $d018
reset_rnd:	
			ldx #7
			stx $d015
			stx $d017
do_rnd:		
			lda $a0
			beq doe
			asl
			bcc noe
doe:		
			eor #$1d
noe:		
			sta $a0
			
			tay
			lda $0200,y
			sta $2100,x
			stx $d417
			dex
			nop
			bne do_rnd

			inc counter1
			bne reset_rnd

			lda counter2
			eor #$19
			sta counter2
			sta $d418

			lda dot
			eor #$02
			sta dot

			jmp reset_rnd

//------------------------------------
// all ends here.
//------------------------------------
